BuildRequires: jpackage-1.4-compat
Name: wagon
Version: 1.0
Release: alt0.3.alpha5
Provides: maven-wagon = %version-%release

Summary: Tools to manage artifacts and deployment
License: Apache Software, v.2
Group: Development/Java

Url: http://maven.apache.org

# svn co http://svn.apache.org/repos/asf/maven/wagon/tags/wagon-1.0-alpha-5 wagon-1.0-alpha-5
Source0: %name-%version-alpha-5.tar.bz2
Source1: %name-build.tar.bz2

Patch0: %name-contains.patch
Patch1: %name-AbstractSshWagon.patch

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit jakarta-commons-net jakarta-commons-httpclient jakarta-commons-logging
BuildRequires: plexus-utils plexus-interactivity jsch

Requires: java-common
BuildArch: noarch

%description
%summary.
* Maven Wagon API
* Maven Wagon providers modules: file, ftp, http, http-lightweight, ssh, ssh-external

%prep
%setup -q -n %name-%version-alpha-5
tar Cxjf . %SOURCE1
%patch0
%patch1

%build
%set_classpath %_javadir/plexus/utils.jar

pushd wagon-provider-api
%ant_build
popd

CLASSPATH=$CLASSPATH:../../wagon-provider-api/target/wagon-provider-api-1.0-alpha-5.jar

pushd wagon-providers
	cd wagon-file
	%ant_build
	cd ../wagon-ftp
	%ant_build -Dnoget=only -lib %_javadir/jakarta-commons-net.jar
	cd ../wagon-http
	%ant_build -Dnoget=only -lib %_javadir/jakarta-commons-httpclient.jar
	cd ../wagon-http-lightweight
	%ant_build -Dnoget=only
	cd ../wagon-ssh
	%ant_build -Dnoget=only -lib %_javadir/jsch.jar -lib %_javadir/plexus/interactivity-api.jar
	cd ../wagon-ssh-external
	%ant_build -Dnoget=only -lib %_javadir/plexus/utils.jar
popd

%install
mkdir -p %buildroot%_javadir/maven-wagon/

install -m 644 wagon-provider-api/target/*.jar %buildroot%_javadir/maven-wagon/provider-api.jar
pushd wagon-providers
	for dir in wagon-file wagon-ftp wagon-http wagon-http-lightweight wagon-ssh wagon-ssh-external
	do
	    jppname=${dir#wagon-}
	    install -m 644 $dir/target/*.jar %buildroot%_javadir/maven-wagon/$jppname.jar
	done
popd
	
%files
%_javadir/*

%changelog
* Fri May 18 2007 Igor Vlasenko <viy@altlinux.ru> 1.0-alt0.3.alpha5
- jpackage compatible jars
- provides maven-wagon

* Wed Mar 22 2006 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt0.2.alpha5
- Fix build with j2se-1.5

* Sat Dec 03 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt0.1.alpha5
- Initial build for ALTLinux Sisyphus

